ViewVC Help
View File | Revision Log | Show Annotations | View Changeset | Root Listing
root/group/trunk/OOPSE-4/configure
(Generate patch)

Comparing trunk/OOPSE-4/configure (file contents):
Revision 1499 by gezelter, Tue Sep 28 22:14:11 2004 UTC vs.
Revision 1619 by chuckv, Wed Oct 20 21:16:01 2004 UTC

# Line 273 | Line 273 | ac_unique_file="src/applications/oopse.cpp"
273   PACKAGE_STRING='OOPSE 2.0'
274   PACKAGE_BUGREPORT='gezelter@nd.edu'
275  
276 < ac_unique_file="src/applications/oopse.cpp"
276 > ac_unique_file="src/applications/oopse/oopse.cpp"
277   ac_default_prefix="/usr/local"
278   # Factoring default headers for most tests.
279   ac_includes_default="\
# Line 312 | Line 312 | ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKA
312   # include <unistd.h>
313   #endif"
314  
315 < ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS PROGNAME debug build build_cpu build_vendor build_os host host_cpu host_vendor host_os CC CFLAGS LDFLAGS CPPFLAGS ac_ct_CC EXEEXT OBJEXT CXX CXXFLAGS ac_ct_CXX OOPSE_TEMPLATE_FLAGS EXTRA_CC_FLAG F90 F90FLAGS ac_ct_F90 PREPFLAG PREPDEFFLAG F90LIBS F90_FUNC F90_FUNC_ MOD F90_WORK_FILES_ARG MODDIRFLAG F90MODINCSPEC CPP EGREP LIBOBJS INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA LN_S SET_MAKE RANLIB ac_ct_RANLIB YACC LEX LEXLIB LEX_OUTPUT_ROOT AR MPI_LIB_DIR MPI_INC_DIR MPI_F90_INC MPI_LIB MPI_F90_LIB USE_MPI SPRNG_LIB_DIR SPRNG_INC_DIR SPRNG_LIB USE_SPRNG MKL_LIBDIR MKL_LIB MKL_INC HAVE_MKL BATEXT MKINSTALLDIRS OOPSE OOPSE_HOME SUBDIRS FFLAGS LTLIBOBJS'
315 > ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS PROGNAME debug build build_cpu build_vendor build_os host host_cpu host_vendor host_os CC CFLAGS LDFLAGS CPPFLAGS ac_ct_CC EXEEXT OBJEXT CXX CXXFLAGS ac_ct_CXX OOPSE_TEMPLATE_FLAGS EXTRA_CC_FLAG F90 F90FLAGS ac_ct_F90 PREPFLAG PREPDEFFLAG F90LIBS F90_FUNC F90_FUNC_ MOD F90_WORK_FILES_ARG MODDIRFLAG F90MODINCSPEC F90_MODULE_NAMES CPP EGREP LIBOBJS INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA LN_S SET_MAKE RANLIB ac_ct_RANLIB YACC LEX LEXLIB LEX_OUTPUT_ROOT AR MPI_LIB_DIR MPI_INC_DIR MPI_F90_INC MPI_LIB MPI_F90_LIB USE_MPI SPRNG_LIB_DIR SPRNG_INC_DIR SPRNG_LIB USE_SPRNG MKL_LIBDIR MKL_LIB MKL_INC HAVE_MKL DOXYGEN DOT DOC enable_dot enable_html_docs enable_latex_docs BATEXT MKINSTALLDIRS OOPSE OOPSE_HOME SUBDIRS FFLAGS LTLIBOBJS'
316   ac_subst_files=''
317  
318   # Initialize some variables set by options.
# Line 866 | Line 866 | Optional Features:
866    --disable-FEATURE       do not include FEATURE (same as --enable-FEATURE=no)
867    --enable-FEATURE[=ARG]  include FEATURE [ARG=yes]
868    --enable-debug          Compile OOPSE in debug mode
869 +  --enable-doxygen        enable documentation generation with doxygen (auto)
870 +  --enable-dot            use 'dot' to generate graphs in doxygen (auto)
871 +  --enable-html-docs      enable HTML generation with doxygen (yes)
872 +  --enable-latex-docs     enable LaTeX documentation generation with doxygen (no)
873    --enable-oopse-home=DIR      define oopse home dir PREFIX/oopse
874  
875   Optional Packages:
# Line 1813 | Line 1817 | ac_configure="$SHELL $ac_aux_dir/configure" # This sho
1817   # $SHELLVAR to the Fortran 95 mangled name.  If the SHELLVAR
1818   # argument is not supplied, it defaults to NAME.
1819   # AC_F95_FUNC
1820 +
1821 + # AC_F90_MODULE_NAMES
1822 + # -------------------
1823 + #
1824 + # Figure out how the Fortran 90 compiler constructs module file names
1825 + #
1826 + # AC_F90_MODULE_NAMES
1827 +
1828  
1829  
1830  
# Line 1868 | Line 1880 | ac_configure="$SHELL $ac_aux_dir/configure" # This sho
1880  
1881  
1882  
1883 +
1884 +
1885 +
1886   # set program name
1887   PROGNAME="oopse"
1888  
# Line 1947 | Line 1962 | ac_ext=c
1962  
1963  
1964  
1965 +
1966 +
1967   ac_ext=c
1968   ac_cpp='$CPP $CPPFLAGS'
1969   ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
# Line 3525 | Line 3542 | F90FLAGS="$F90FLAGS $ac_verb"
3542   ac_save_F90FLAGS=$F90FLAGS
3543   F90FLAGS="$F90FLAGS $ac_verb"
3544  
3545 < (eval echo $as_me:3528: \"$ac_link\") >&5
3545 > (eval echo $as_me:3545: \"$ac_link\") >&5
3546   ac_f90_v_output=`eval $ac_link 5>&1 2>&1 | grep -v 'Driving:'`
3547   echo "$ac_f90_v_output" >&5
3548   F90FLAGS=$ac_save_F90FLAGS
# Line 3602 | Line 3619 | F90FLAGS="$F90FLAGS $ac_cv_prog_f90_v"
3619   ac_save_F90FLAGS=$F90FLAGS
3620   F90FLAGS="$F90FLAGS $ac_cv_prog_f90_v"
3621  
3622 < (eval echo $as_me:3605: \"$ac_link\") >&5
3622 > (eval echo $as_me:3622: \"$ac_link\") >&5
3623   ac_f90_v_output=`eval $ac_link 5>&1 2>&1 | grep -v 'Driving:'`
3624   echo "$ac_f90_v_output" >&5
3625   F90FLAGS=$ac_save_F90FLAGS
# Line 4198 | Line 4215 | fi
4215     rm -f conftest* conf/conftest* conf/CONFTEST* CONFTEST* conf/mpimod*
4216     if test $madedir = 1 ; then rmdir conf ; fi
4217   fi
4218 +
4219 +
4220 + echo "$as_me:$LINENO: checking for Fortran 90 module file names" >&5
4221 + echo $ECHO_N "checking for Fortran 90 module file names... $ECHO_C" >&6
4222 + if test "${ac_cv_f90_module_names+set}" = set; then
4223 +  echo $ECHO_N "(cached) $ECHO_C" >&6
4224 + else
4225 +  ac_ext=f90
4226 + ac_compile='$F90 -c $F90FLAGS conftest.$ac_ext >&5'
4227 + ac_link='$F90 -o conftest$ac_exeext $F90FLAGS $LD90FLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
4228 + ac_compiler_gnu=$ac_cv_f90_compiler_gnu
4229  
4230 + # carry out the test in a new directory, so that we don't miss anything
4231 + mkdir conftest
4232 + cd conftest
4233 + cat >conftest.$ac_ext <<_ACEOF
4234 + MODULE Bar
4235 + END MODULE Bar
4236 + _ACEOF
4237 + rm -f conftest.$ac_objext
4238 + if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
4239 +  (eval $ac_compile) 2>conftest.er1
4240 +  ac_status=$?
4241 +  grep -v '^ *+' conftest.er1 >conftest.err
4242 +  rm -f conftest.er1
4243 +  cat conftest.err >&5
4244 +  echo "$as_me:$LINENO: \$? = $ac_status" >&5
4245 +  (exit $ac_status); } &&
4246 +         { ac_try='test -z "$ac_f90_werror_flag"
4247 +                         || test ! -s conftest.err'
4248 +  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
4249 +  (eval $ac_try) 2>&5
4250 +  ac_status=$?
4251 +  echo "$as_me:$LINENO: \$? = $ac_status" >&5
4252 +  (exit $ac_status); }; } &&
4253 +         { ac_try='test -s conftest.$ac_objext'
4254 +  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
4255 +  (eval $ac_try) 2>&5
4256 +  ac_status=$?
4257 +  echo "$as_me:$LINENO: \$? = $ac_status" >&5
4258 +  (exit $ac_status); }; }; then
4259 +  ac_cv_f90_module_names=
4260 + ac_file_list=*
4261 + for ac_file in $ac_file_list; do
4262 +   case $ac_file in
4263 +      # don't care for original source and object files
4264 +      conftest.$ac_ext | conftest.$ac_objext | conftest.err )
4265 +          :
4266 +          ;;
4267 +      # look for new files derived from the file name
4268 +      *conftest*)
4269 +          ac_pat=`echo $ac_file | sed s/conftest/%FILE%/`
4270 +            ac_exists=false
4271 +  for ac_i in $ac_cv_f90_module_names; do
4272 +    if test x"$ac_pat" = x"$ac_i"; then
4273 +      ac_exists=true
4274 +      break
4275 +    fi
4276 +  done
4277 +
4278 +  if test x"$ac_exists" = xtrue; then
4279 +  :
4280 + else
4281 +  ac_cv_f90_module_names="$ac_cv_f90_module_names $ac_pat"
4282 + fi
4283 +
4284 +          ;;
4285 +      # look for new files derived from the module name,
4286 +      # with different case translation schemes
4287 +      *Bar*)
4288 +          ac_pat=`echo $ac_file | sed s/Bar/%Module%/`
4289 +            ac_exists=false
4290 +  for ac_i in $ac_cv_f90_module_names; do
4291 +    if test x"$ac_pat" = x"$ac_i"; then
4292 +      ac_exists=true
4293 +      break
4294 +    fi
4295 +  done
4296 +
4297 +  if test x"$ac_exists" = xtrue; then
4298 +  :
4299 + else
4300 +  ac_cv_f90_module_names="$ac_cv_f90_module_names $ac_pat"
4301 + fi
4302 +
4303 +          ;;
4304 +      *bar*)
4305 +          ac_pat=`echo $ac_file | sed s/bar/%module%/`
4306 +            ac_exists=false
4307 +  for ac_i in $ac_cv_f90_module_names; do
4308 +    if test x"$ac_pat" = x"$ac_i"; then
4309 +      ac_exists=true
4310 +      break
4311 +    fi
4312 +  done
4313 +
4314 +  if test x"$ac_exists" = xtrue; then
4315 +  :
4316 + else
4317 +  ac_cv_f90_module_names="$ac_cv_f90_module_names $ac_pat"
4318 + fi
4319 +
4320 +          ;;
4321 +      *BAR*)
4322 +          ac_pat=`echo $ac_file | sed s/BAR/%MODULE%/`
4323 +            ac_exists=false
4324 +  for ac_i in $ac_cv_f90_module_names; do
4325 +    if test x"$ac_pat" = x"$ac_i"; then
4326 +      ac_exists=true
4327 +      break
4328 +    fi
4329 +  done
4330 +
4331 +  if test x"$ac_exists" = xtrue; then
4332 +  :
4333 + else
4334 +  ac_cv_f90_module_names="$ac_cv_f90_module_names $ac_pat"
4335 + fi
4336 +
4337 +          ;;
4338 +       # Other files - we have no idea how they are generated
4339 +       *)
4340 +          { echo "$as_me:$LINENO: WARNING: Bogus file found: $ac_file" >&5
4341 + echo "$as_me: WARNING: Bogus file found: $ac_file" >&2;}
4342 +          ;;
4343 +   esac
4344 + done
4345 + if test "x$ac_cv_f90_module_names" = "x"; then
4346 +  { echo "$as_me:$LINENO: WARNING: Couldn't determine module file names" >&5
4347 + echo "$as_me: WARNING: Couldn't determine module file names" >&2;}
4348 + fi
4349 +
4350 + else
4351 +  echo "$as_me: failed program was:" >&5
4352 + sed 's/^/| /' conftest.$ac_ext >&5
4353 +
4354 + ac_cv_f90_module_names=
4355 + { echo "$as_me:$LINENO: WARNING: Couldn't determine module file names" >&5
4356 + echo "$as_me: WARNING: Couldn't determine module file names" >&2;}
4357 + fi
4358 + rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
4359 + cd ..
4360 + # cleanup
4361 + rm -rf conftest
4362 + ac_ext=f90
4363 + ac_compile='$F90 -c $F90FLAGS conftest.$ac_ext >&5'
4364 + ac_link='$F90 -o conftest$ac_exeext $F90FLAGS $LD90FLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
4365 + ac_compiler_gnu=$ac_cv_f90_compiler_gnu
4366 +
4367 + fi
4368 + echo "$as_me:$LINENO: result: $ac_cv_f90_module_names" >&5
4369 + echo "${ECHO_T}$ac_cv_f90_module_names" >&6 # AC_CACHE_CHECK
4370 +
4371 + # We now generate a shell script that will help us to figure out the correct
4372 + # module file names, using the value of ac_cv_f90_module_names
4373 +
4374 + echo "Generating shell script modnam"
4375 +
4376 + cat > scripts/modnam << EOF
4377 + #! /bin/sh
4378 + # This script is auto-generated by configure
4379 + #
4380 + usage="\\
4381 + Usage: \$0 [FILES]
4382 +
4383 + [FILES] are Fortran 90 source files.
4384 + The output is a list of module file names that the Fortran 90 compiler
4385 + generates when compiling [FILES]."
4386 +
4387 + list=
4388 + empty=
4389 +
4390 + if test \$# -eq 0; then
4391 +   echo "\$usage"; exit 0
4392 + fi
4393 +
4394 + while test \$# != 0; do
4395 +
4396 +  file=\$1
4397 +  shift
4398 +
4399 + # strip suffix
4400 +  base=\`echo \$file | sed 's/[.][^.]*$//'\`
4401 +
4402 +  test ! -f \$file && continue
4403 +
4404 + # Look for module definitions and transform them to upper / lower case
4405 +  mods=\`cat \$file | sed '/^ *[mM][oO][dD][uU][lL][eE]/!d;s/^ *[mM][oO][dD][uU][lL][eE] *\([A-Za-z_][A-Za-z0-9_]*\).*\$/\1/'\`
4406 +  upper=\`echo \$mods | tr a-z A-Z\`
4407 +  lower=\`echo \$mods | tr A-Z a-z\`
4408 +
4409 + # Here, the patterns for generating module file names were inserted by configure
4410 +  for trans in $ac_cv_f90_module_names; do
4411 +
4412 +    pat=\`echo \$trans | sed 's/.*\(%.*%\).*/\1/'\`
4413 +    var=empty
4414 +    case \$pat in
4415 +       %MODULE%)
4416 +          var=upper ;;
4417 +       %Module%)
4418 +          var=mods ;;
4419 +       %module%)
4420 +          var=lower ;;
4421 +       %FILE%)
4422 +          test -n "\$mods" && var=base ;;
4423 +    esac
4424 +    new=\`eval '(for i in \$'\$var '; do echo \$trans | sed s/\$pat/\$i/; done)'\`
4425 +    list="\$list \$new"
4426 +  done
4427 + done
4428 +
4429 + echo \$list
4430 + # end of configure-generated script
4431 + EOF
4432 + chmod 755 scripts/modnam
4433 +
4434 + pat=`echo $ac_cv_f90_module_names | sed 's/.*\(%.*%\).*/\1/'`
4435 + F90_MODULE_NAMES=empty
4436 + case $pat in
4437 +       %MODULE%)
4438 +          F90_MODULE_NAMES=UPPER ;;
4439 +       %Module%)
4440 +          F90_MODULE_NAMES=Mixed ;;
4441 +       %module%)
4442 +          F90_MODULE_NAMES=lower ;;
4443 +       *)
4444 +          F90_MODULE_NAMES=unknown ;;
4445 + esac
4446  
4447   ac_ext=c
4448   ac_cpp='$CPP $CPPFLAGS'
# Line 4702 | Line 4946 | done
4946  
4947  
4948    # clean out junk possibly left behind by a previous configuration
4949 <  rm -f utils/getopt.h
4949 >  rm -f src/utils/getopt.h
4950    # Check for getopt_long support
4951  
4952   for ac_header in getopt.h
# Line 5042 | Line 5286 | esac
5286    *) LIBOBJS="$LIBOBJS getopt1.$ac_objext" ;;
5287   esac
5288  
5289 <                ac_config_links="$ac_config_links utils/getopt.h:utils/gnugetopt.h"
5289 >                ac_config_links="$ac_config_links src/utils/getopt.h:src/utils/gnugetopt.h"
5290  
5291   fi
5292  
# Line 5136 | Line 5380 | if test "$ac_test_CFLAGS" != "set"; then
5380          fi;;
5381     *darwin*)
5382          if test "$CC" = xlc -o "$CC" = cc; then
5383 <                CFLAGS="-qthreaded -O5 -qtune=auto -qarch=auto -qunroll=auto -qaltivec"
5383 >                CFLAGS="-qthreaded -O -qtune=auto -qarch=auto -qunroll=auto -qaltivec"
5384          fi;;
5385    esac
5386  
# Line 5588 | Line 5832 | if test "$ac_test_CXXFLAGS" != "set"; then
5832          fi;;
5833     *darwin*)
5834          if test "$CXX" = xlc++; then
5835 <                CXXFLAGS="-qthreaded -O5 -qtune=auto -qarch=auto -qunroll=auto -qaltivec"
5835 >                CXXFLAGS="-qthreaded -O -qtune=auto -qarch=auto -qunroll=auto -qaltivec"
5836          fi;;
5837    esac
5838  
# Line 6000 | Line 6244 | if test x"$F90FLAGS" = x ; then
6244          fi;;
6245     *darwin*)
6246          if test "$F90" = f90 -o "$F90" = xlf90 -o "$F90" = xlf95; then
6247 <                F90FLAGS="-qthreaded -O5 -qtune=auto -qarch=auto -qunroll=auto"
6247 >                F90FLAGS="-qthreaded -O -qtune=auto -qarch=auto -qunroll=auto"
6248          fi;;
6249    esac
6250  
# Line 6991 | Line 7235 | fi
7235   fi
7236  
7237   fi
7238 + $as_unset ac_cv_lib_mpich_MPI_Init
7239 + if test x = x"$MPI_LIB"; then
7240 +        echo "$as_me:$LINENO: checking for MPI_Init in -lmpich" >&5
7241 + echo $ECHO_N "checking for MPI_Init in -lmpich... $ECHO_C" >&6
7242 + if test "${ac_cv_lib_mpich_MPI_Init+set}" = set; then
7243 +  echo $ECHO_N "(cached) $ECHO_C" >&6
7244 + else
7245 +  ac_check_lib_save_LIBS=$LIBS
7246 + LIBS="-lmpich "-lpmpich" $LIBS"
7247 + cat >conftest.$ac_ext <<_ACEOF
7248 + /* confdefs.h.  */
7249 + _ACEOF
7250 + cat confdefs.h >>conftest.$ac_ext
7251 + cat >>conftest.$ac_ext <<_ACEOF
7252 + /* end confdefs.h.  */
7253  
7254 + /* Override any gcc2 internal prototype to avoid an error.  */
7255 + #ifdef __cplusplus
7256 + extern "C"
7257 + #endif
7258 + /* We use char because int might match the return type of a gcc2
7259 +   builtin and then its argument prototype would still apply.  */
7260 + char MPI_Init ();
7261 + int
7262 + main ()
7263 + {
7264 + MPI_Init ();
7265 +  ;
7266 +  return 0;
7267 + }
7268 + _ACEOF
7269 + rm -f conftest.$ac_objext conftest$ac_exeext
7270 + if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
7271 +  (eval $ac_link) 2>conftest.er1
7272 +  ac_status=$?
7273 +  grep -v '^ *+' conftest.er1 >conftest.err
7274 +  rm -f conftest.er1
7275 +  cat conftest.err >&5
7276 +  echo "$as_me:$LINENO: \$? = $ac_status" >&5
7277 +  (exit $ac_status); } &&
7278 +         { ac_try='test -z "$ac_c_werror_flag"
7279 +                         || test ! -s conftest.err'
7280 +  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
7281 +  (eval $ac_try) 2>&5
7282 +  ac_status=$?
7283 +  echo "$as_me:$LINENO: \$? = $ac_status" >&5
7284 +  (exit $ac_status); }; } &&
7285 +         { ac_try='test -s conftest$ac_exeext'
7286 +  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
7287 +  (eval $ac_try) 2>&5
7288 +  ac_status=$?
7289 +  echo "$as_me:$LINENO: \$? = $ac_status" >&5
7290 +  (exit $ac_status); }; }; then
7291 +  ac_cv_lib_mpich_MPI_Init=yes
7292 + else
7293 +  echo "$as_me: failed program was:" >&5
7294 + sed 's/^/| /' conftest.$ac_ext >&5
7295 +
7296 + ac_cv_lib_mpich_MPI_Init=no
7297 + fi
7298 + rm -f conftest.err conftest.$ac_objext \
7299 +      conftest$ac_exeext conftest.$ac_ext
7300 + LIBS=$ac_check_lib_save_LIBS
7301 + fi
7302 + echo "$as_me:$LINENO: result: $ac_cv_lib_mpich_MPI_Init" >&5
7303 + echo "${ECHO_T}$ac_cv_lib_mpich_MPI_Init" >&6
7304 + if test $ac_cv_lib_mpich_MPI_Init = yes; then
7305 +  MPI_LIB="-lmpich -lpmpich"
7306 + fi
7307 +
7308 + fi
7309 +
7310   $as_unset ac_cv_lib_mpi_MPI_Init
7311   if test x = x"$MPI_LIB"; then
7312   echo "$as_me:$LINENO: checking for MPI_Init in -lmpi" >&5
# Line 7507 | Line 7822 | echo "${ECHO_T}no" >&6
7822  
7823      echo "$as_me:$LINENO: result: no" >&5
7824   echo "${ECHO_T}no" >&6
7825 +
7826 + fi;
7827 +
7828  
7829 +
7830 + # Check whether --enable-doxygen or --disable-doxygen was given.
7831 + if test "${enable_doxygen+set}" = set; then
7832 +  enableval="$enable_doxygen"
7833 +
7834   fi;
7835 + # Check whether --enable-dot or --disable-dot was given.
7836 + if test "${enable_dot+set}" = set; then
7837 +  enableval="$enable_dot"
7838 +
7839 + fi;
7840 + # Check whether --enable-html-docs or --disable-html-docs was given.
7841 + if test "${enable_html_docs+set}" = set; then
7842 +  enableval="$enable_html_docs"
7843 +
7844 + else
7845 +   enable_html_docs=yes
7846 + fi;
7847 + # Check whether --enable-latex-docs or --disable-latex-docs was given.
7848 + if test "${enable_latex_docs+set}" = set; then
7849 +  enableval="$enable_latex_docs"
7850 +
7851 + else
7852 +   enable_latex_docs=no
7853 + fi;
7854 + if test "x$enable_doxygen" = xno; then
7855 +        enable_doc=no
7856 + else
7857 +        # Extract the first word of "doxygen", so it can be a program name with args.
7858 + set dummy doxygen; ac_word=$2
7859 + echo "$as_me:$LINENO: checking for $ac_word" >&5
7860 + echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
7861 + if test "${ac_cv_path_DOXYGEN+set}" = set; then
7862 +  echo $ECHO_N "(cached) $ECHO_C" >&6
7863 + else
7864 +  case $DOXYGEN in
7865 +  [\\/]* | ?:[\\/]*)
7866 +  ac_cv_path_DOXYGEN="$DOXYGEN" # Let the user override the test with a path.
7867 +  ;;
7868 +  *)
7869 +  as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
7870 + for as_dir in $PATH
7871 + do
7872 +  IFS=$as_save_IFS
7873 +  test -z "$as_dir" && as_dir=.
7874 +  for ac_exec_ext in '' $ac_executable_extensions; do
7875 +  if $as_executable_p "$as_dir/$ac_word$ac_exec_ext"; then
7876 +    ac_cv_path_DOXYGEN="$as_dir/$ac_word$ac_exec_ext"
7877 +    echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5
7878 +    break 2
7879 +  fi
7880 + done
7881 + done
7882 +
7883 +  ;;
7884 + esac
7885 + fi
7886 + DOXYGEN=$ac_cv_path_DOXYGEN
7887 +
7888 + if test -n "$DOXYGEN"; then
7889 +  echo "$as_me:$LINENO: result: $DOXYGEN" >&5
7890 + echo "${ECHO_T}$DOXYGEN" >&6
7891 + else
7892 +  echo "$as_me:$LINENO: result: no" >&5
7893 + echo "${ECHO_T}no" >&6
7894 + fi
7895 +
7896 +        if test "x$DOXYGEN" = x; then
7897 +                if test "x$enable_doxygen" = xyes; then
7898 +                        { { echo "$as_me:$LINENO: error: could not find doxygen" >&5
7899 + echo "$as_me: error: could not find doxygen" >&2;}
7900 +   { (exit 1); exit 1; }; }
7901 +                fi
7902 +                enable_doc=no
7903 +        else
7904 +                enable_doc=yes
7905 +                # Extract the first word of "dot", so it can be a program name with args.
7906 + set dummy dot; ac_word=$2
7907 + echo "$as_me:$LINENO: checking for $ac_word" >&5
7908 + echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
7909 + if test "${ac_cv_path_DOT+set}" = set; then
7910 +  echo $ECHO_N "(cached) $ECHO_C" >&6
7911 + else
7912 +  case $DOT in
7913 +  [\\/]* | ?:[\\/]*)
7914 +  ac_cv_path_DOT="$DOT" # Let the user override the test with a path.
7915 +  ;;
7916 +  *)
7917 +  as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
7918 + for as_dir in $PATH
7919 + do
7920 +  IFS=$as_save_IFS
7921 +  test -z "$as_dir" && as_dir=.
7922 +  for ac_exec_ext in '' $ac_executable_extensions; do
7923 +  if $as_executable_p "$as_dir/$ac_word$ac_exec_ext"; then
7924 +    ac_cv_path_DOT="$as_dir/$ac_word$ac_exec_ext"
7925 +    echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5
7926 +    break 2
7927 +  fi
7928 + done
7929 + done
7930  
7931 +  ;;
7932 + esac
7933 + fi
7934 + DOT=$ac_cv_path_DOT
7935  
7936 + if test -n "$DOT"; then
7937 +  echo "$as_me:$LINENO: result: $DOT" >&5
7938 + echo "${ECHO_T}$DOT" >&6
7939 + else
7940 +  echo "$as_me:$LINENO: result: no" >&5
7941 + echo "${ECHO_T}no" >&6
7942 + fi
7943  
7944 +        fi
7945 + fi
7946  
7947 + if test "x$enable_doc" = xyes; then
7948 +  DOC=1
7949 + else
7950 +  DOC=0
7951 + fi
7952  
7953 +
7954 + if test x$DOT = x; then
7955 +        if test "x$enable_dot" = xyes; then
7956 +                { { echo "$as_me:$LINENO: error: could not find dot" >&5
7957 + echo "$as_me: error: could not find dot" >&2;}
7958 +   { (exit 1); exit 1; }; }
7959 +        fi
7960 +        enable_dot=no
7961 + else
7962 +        enable_dot=yes
7963 + fi
7964 +
7965 +
7966 +
7967 +
7968 +
7969 +
7970 +
7971   OBJEXT=".$OBJEXT"
7972  
7973   OOPSE=oopse
# Line 7570 | Line 8024 | esac
8024  
8025  
8026  
8027 +
8028            ac_config_headers="$ac_config_headers src/config.h"
8029  
8030 <          ac_config_files="$ac_config_files make/Make.conf"
8030 >          ac_config_files="$ac_config_files make/Makefile"
8031  
8032  
8033   cat >confcache <<\_ACEOF
# Line 8103 | Line 8558 | do
8558   do
8559    case "$ac_config_target" in
8560    # Handling of arguments.
8561 <  "make/Make.conf" ) CONFIG_FILES="$CONFIG_FILES make/Make.conf" ;;
8562 <  "utils/getopt.h" ) CONFIG_LINKS="$CONFIG_LINKS utils/getopt.h:utils/gnugetopt.h" ;;
8561 >  "make/Makefile" ) CONFIG_FILES="$CONFIG_FILES make/Makefile" ;;
8562 >  "src/utils/getopt.h" ) CONFIG_LINKS="$CONFIG_LINKS src/utils/getopt.h:src/utils/gnugetopt.h" ;;
8563    "src/config.h" ) CONFIG_HEADERS="$CONFIG_HEADERS src/config.h" ;;
8564    *) { { echo "$as_me:$LINENO: error: invalid argument: $ac_config_target" >&5
8565   echo "$as_me: error: invalid argument: $ac_config_target" >&2;}
# Line 8225 | Line 8680 | s,@CPP@,$CPP,;t t
8680   s,@F90_WORK_FILES_ARG@,$F90_WORK_FILES_ARG,;t t
8681   s,@MODDIRFLAG@,$MODDIRFLAG,;t t
8682   s,@F90MODINCSPEC@,$F90MODINCSPEC,;t t
8683 + s,@F90_MODULE_NAMES@,$F90_MODULE_NAMES,;t t
8684   s,@CPP@,$CPP,;t t
8685   s,@EGREP@,$EGREP,;t t
8686   s,@LIBOBJS@,$LIBOBJS,;t t
# Line 8254 | Line 8710 | s,@BATEXT@,$BATEXT,;t t
8710   s,@MKL_LIB@,$MKL_LIB,;t t
8711   s,@MKL_INC@,$MKL_INC,;t t
8712   s,@HAVE_MKL@,$HAVE_MKL,;t t
8713 + s,@DOXYGEN@,$DOXYGEN,;t t
8714 + s,@DOT@,$DOT,;t t
8715 + s,@DOC@,$DOC,;t t
8716 + s,@enable_dot@,$enable_dot,;t t
8717 + s,@enable_html_docs@,$enable_html_docs,;t t
8718 + s,@enable_latex_docs@,$enable_latex_docs,;t t
8719   s,@BATEXT@,$BATEXT,;t t
8720   s,@MKINSTALLDIRS@,$MKINSTALLDIRS,;t t
8721   s,@OOPSE@,$OOPSE,;t t

Diff Legend

Removed lines
+ Added lines
< Changed lines
> Changed lines